FreeMat

- Main Page
- Related Pages

vtkCompositePolyDataMapper

Section: Visualization Toolkit Rendering Classes

# Usage

This class uses a set of vtkPolyDataMappers to render input data which may be hierarchical. The input to this mapper may be either vtkPolyData or a vtkCompositeDataSet built from polydata. If something other than vtkPolyData is encountered, an error message will be produced.

To create an instance of class vtkCompositePolyDataMapper, simply invoke its constructor as follows

      obj = vtkCompositePolyDataMapper

# Methods

The class vtkCompositePolyDataMapper has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCompositePolyDataMapper class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCompositePolyDataMapper = obj.NewInstance ()`
- `vtkCompositePolyDataMapper = obj.SafeDownCast (vtkObject o)`
- `obj.Render (vtkRenderer ren, vtkActor a)` - Standard method for rendering a mapper. This method will be called by the actor.
- `double = obj.GetBounds ()` - Standard vtkProp method to get 3D bounds of a 3D prop
- `obj.GetBounds (double bounds[6])` - Standard vtkProp method to get 3D bounds of a 3D prop
- `obj.ReleaseGraphicsResources (vtkWindow )` - Release the underlying resources associated with this mapper